Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eia.modelo
Class Proyecto

    java.lang.Object
      eia.modelo.Proyecto

    public class Proyecto

extends java.lang.Object

Clase que implementa un proyecto de estudio de impacto ambiental.

Constructor Summary
`Proyecto()` Constructor por defecto.
`Proyecto(InfoProyecto informacion, TipoProyecto tipo)` Contructor por parámetros.

Method Summary
`Alternativa` | `analizarAlternativas()` Función para la obtención de la mejor alternativa realizable de las establecidas en el proyecto.
`java.util.ArrayList<Alternativa>` | `getAlternativas()` Accesor para el atributo 'alternativas'.
`javax.swing.tree.DefaultTreeModel` | `getFactores()` Accesor para el atributo 'factores'.
`InfoProyecto` | `getInformacion()` Accesor para el atributo 'informacion'.
`TipoProyecto` | `getTipo()` Accesor para el atributo 'tipo'.
`void` | `setAlternativas(java.util.ArrayList<Alternativa> alternativas)` Mutador para el atributo 'alternativas'.
`void` | `setFactores(javax.swing.tree.DefaultTreeModel factores)` Mutador para el atributo 'factores'.
`void` | `setInformacion(InfoProyecto informacion)` Mutador para el atributo 'informacion'.
`void` | `setTipo(TipoProyecto tipo)` Mutador para el atributo 'informacion'.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Proyecto

    public Proyecto(InfoProyecto informacion,
                    TipoProyecto tipo)

  Contructor por parámetros.

  Parameters:
    `informacion` - Ficha de información del proyecto de estudio.
    `tipo` - Tipo del proyecto de estudio.

### Proyecto

    public Proyecto()

  Constructor por defecto.

Method Detail

### getInformacion

    public InfoProyecto getInformacion()

  Accesor para el atributo 'informacion'.

  Returns:
    Ficha de información del proyecto.

### setInformacion

    public void setInformacion(InfoProyecto informacion)

  Mutador para el atributo 'informacion'.

  Parameters:
    `informacion` - Ficha de información a asociar al proyecto.

### getTipo

    public TipoProyecto getTipo()

  Accesor para el atributo 'tipo'.

  Returns:
    Tipo del proyecto de estudio.

### setTipo

    public void setTipo(TipoProyecto tipo)

  Mutador para el atributo 'informacion'.

  Parameters:
    `tipo` - Tipo de proyecto de estudio a asociar.

### getAlternativas

    public java.util.ArrayList<Alternativa> getAlternativas()

  Accesor para el atributo 'alternativas'.

  Returns:
    Alternativas de realización del proyecto.

### setAlternativas

    public void setAlternativas(java.util.ArrayList<Alternativa> alternativas)

  Mutador para el atributo 'alternativas'.

  Parameters:
    `alternativas` - Alternativas de realización a asociar al proyecto.

### getFactores

    public javax.swing.tree.DefaultTreeModel getFactores()

  Accesor para el atributo 'factores'.

  Returns:
    Factores ambientales influyentes para el estudio del proyecto.

### setFactores

    public void setFactores(javax.swing.tree.DefaultTreeModel factores)

  Mutador para el atributo 'factores'.

  Parameters:
    `factores` - Factores ambientes influyentes a asociar al proyecto.

### analizarAlternativas

    public Alternativa analizarAlternativas()

  Función para la obtención de la mejor alternativa realizable de las establecidas en el proyecto.

  Returns:
    Mejor alternativa de realización del proyecto.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD